import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class SignupPersonalScreen extends StatelessWidget{
  const SignupPersonalScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      spacing: 30,
      children: [
        Text("Datos personales"),
        Text("Identifícate", style: TextStyle(fontWeight: FontWeight.bold, fontSize: 30)),
        Text("Nos aseguraremos de que la cuenta está a nombre del adulto responsable"),
        TextField(decoration: InputDecoration(labelText: "Nombre", hintText: "Nombre", border: OutlineInputBorder())),
        TextField(decoration: InputDecoration(labelText: "Apellidos", hintText: "Apellidos", border: OutlineInputBorder())),
        Row(
          children: [
            Expanded( child: TextField(
              decoration: InputDecoration(label: Text("Fecha de nacimiento"), hintText: "DD", border: OutlineInputBorder()),
              keyboardType: TextInputType.number,
              inputFormatters: [FilteringTextInputFormatter.digitsOnly],
            )),
            Expanded( child: TextField(
              decoration: InputDecoration(hintText: "MM", border: OutlineInputBorder()),
              keyboardType: TextInputType.number,
              inputFormatters: [FilteringTextInputFormatter.digitsOnly],
            )),
            Expanded( child: TextField(
              decoration: InputDecoration(hintText: "AAAA", border: OutlineInputBorder()),
              keyboardType: TextInputType.number,
              inputFormatters: [FilteringTextInputFormatter.digitsOnly],
            )),
          ],
        ),
        DropdownMenu(
          width: double.infinity,
          label: Text("¿Qué familiar eres?"),
          dropdownMenuEntries: [
            DropdownMenuEntry(label: "Padre", value: "Padre"),
            DropdownMenuEntry(label: "Madre", value: "Madre"),
            DropdownMenuEntry(label: "Tutor", value: "Tutor"),
          ],
        ),
      ],
    );
  }

}